Commits

JanKanis  committed b251d63 Draft

update to setup.py_bdist_ugly_hack.sh

  • Participants
  • Parent commits 529bb2c

Comments (0)

Files changed (1)

File setup.py_bdist_ugly_hack.sh

+#!/bin/sh
+
+# a wrapper for "setup.py bdist_dumb"
+# I wanted to include the files differently into the  tar, but haven't figured out how to do that properly. This is an ugly hack but it works. 
+
+if test ! -x wiki2csv.py
+then
+	echo Error: call this script from the package\'s root directory
+	exit 1
+fi
+
+VER=`python setup.py -qV | tail -n +2 -n 1`
+
+python setup.py bdist_dumb -p linux --no-hack-warning
+
+echo Hacking symlinks into wiki2csv-$VER.linux.tar.gz...
+
+cd dist
+tar -xf wiki2csv-$VER.linux.tar.gz
+cd usr/local/bin/
+mv wiki2csv.py wiki2csv
+ln -s wiki2csv csv2wiki
+cd ../../..
+tar -cf wiki2csv-$VER.linux.tar.gz usr
+rm -r usr
+cd ..
+
+echo Hacking up wiki2csv-$VER.linux.tar.gz completed